Clinia
RegistryPipeline executions

Get a pipeline execution

GET
/sources/{sourceKey}/v1/pipelines/executions/{pipelineExecutionId}

Get a pipeline execution.

X-Clinia-API-Key<token>

In: header

Path Parameters

sourceKey*string

The key of the source.

pipelineExecutionId*string

The id of the pipeline execution.

Query Parameters

withOperationBody?boolean

If set to true, the response will include the body of the operation that triggered the pipeline execution and the operation processed by the pipeline. Defaults to false.

Defaultfalse

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/sources/string/v1/pipelines/executions/string"
{  "id": "string",  "pipelineDefinitionId": "string",  "status": "SUCCESSFUL",  "steps": [    {      "status": "PROCESSED",      "error": {        "code": 400,        "message": "string",        "type": "ALREADY_EXISTS",        "details": [          {}        ],        "additionalContext": {}      },      "decision": {        "id": "string",        "description": "string",        "author": {          "id": "string",          "email": "string"        },        "actedAt": "2019-08-24T14:15:22Z"      },      "processedAt": "2019-08-24T14:15:22Z"    }  ],  "operation": {    "taskId": "string",    "id": "string",    "author": {      "id": "string",      "email": "string"    },    "action": "CREATE",    "target": {      "targetType": "RELATIONSHIP",      "id": "string",      "type": "string"    },    "body": {}  },  "processedOperation": {    "taskId": "string",    "id": "string",    "author": {      "id": "string",      "email": "string"    },    "action": "CREATE",    "target": {      "targetType": "RELATIONSHIP",      "id": "string",      "type": "string"    },    "body": {}  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "reviewAssignment": {    "operationId": "string",    "reviewerId": "string",    "assignerId": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}